[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.poetry]
name = "{{ cookiecutter.repo_name }}"
version = "{{ cookiecutter.version }}"
description = "{{ cookiecutter.description }}"
authors = ["{{ cookiecutter.author_name }} <{{ cookiecutter.author_email }}>"]
packages = [
    { include = "{{ cookiecutter.repo_name }}" },
]
readme = "README.md"

[tool.poetry.dependencies]
boto3 = "^1.26.120"
hydra-core = "^1.3.2"
joblib = "^1.2.0"
jupyter = "^1.0.0"
matplotlib = "^3.7.1"
more-itertools = "^9.1.0"
numpy = "^1.24.2"
plotly = "^5.13.1"
pyarrow = "^11.0.0"
python = "^3.10"
scikit-learn = "^1.2.2"
toolz = "^0.12.0"

[tool.poetry.dev-dependencies]
commitizen = "^2.42.1"
mypy= ">=1.1.1"
yastyleguide = "^0.2.0"

[tool.nitpick]
style = "https://gitlab.com/ml.devs/templates/yastyleguide-nitpick-styles/raw/v0.1.0/nitpick-yastyle.toml"
